> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/farm-settings/invitation-emails.md).

# Invitation Emails

## Get

> Retrieve the Invitation Email Settings

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/InvitationEmailSettings":{"get":{"tags":["1-Farm settings//Invitation Emails"],"summary":"Get","description":"Retrieve the Invitation Email Settings","operationId":"122d5a3f-6bfe-4dd3-9d12-7645397b83ee","responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/InvitationEmailSettings"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"InvitationEmailSettings":{"type":"object","properties":{"targetDeviceLst":{"type":"array","items":{"$ref":"#/components/schemas/InviteTargetDev"},"nullable":true},"connMode":{"$ref":"#/components/schemas/InviteConnMode"},"pubGatewayIP":{"type":"string","description":"<para type=\"description\">Published Gateway IP</para>","nullable":true},"email":{"type":"string","description":"<para type=\"description\">Email</para>","nullable":true},"sso":{"type":"string","description":"<para type=\"description\">SSO</para>","nullable":true},"ssoEnabled":{"type":"boolean","description":"<para type=\"description\">Whether SSO is Enabled or not</para>"},"authType":{"$ref":"#/components/schemas/InviteAuthType"}},"additionalProperties":false,"description":"<para type=\"synopsis\">InvitationEmailSettings</para>\r\n<para type=\"description\"></para>"},"InviteTargetDev":{"enum":[["0 = Windows","2 = Linux","3 = Mac","4 = iOS","5 = Android","6 = ChromeApp","7 = HTML5"]],"type":"string","description":"<para type=\"synopsis\">Invitation Target Device</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"InviteConnMode":{"enum":[["0 = Gateway","1 = Direct","2 = GatewaySSL","3 = DirectSSL"]],"type":"string","description":"<para type=\"synopsis\">Invitation Connection Mode</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"InviteAuthType":{"enum":[["0 = Credentials","1 = SSO","2 = SmartCard","3 = Web","4 = WebCredentials"]],"type":"string","description":"<para type=\"synopsis\">Invitation Authentication Type</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Modify Invitation Email Settings. For each setting, the request has a corresponding parameter. To modify a setting, specify a matching parameter and its value.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/InvitationEmailSettings":{"put":{"tags":["1-Farm settings//Invitation Emails"],"summary":"Update","description":"Modify Invitation Email Settings. For each setting, the request has a corresponding parameter. To modify a setting, specify a matching parameter and its value.","operationId":"9bf6ddb0-8578-4c91-b425-0f99fb9b0ccb","requestBody":{"description":"Invitation Email Settings","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetInvitationEmailSettings"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetInvitationEmailSettings":{"type":"object","properties":{"email":{"type":"string","description":"<para type=\"description\">The email content to be sent in the invitation.</para>","nullable":true},"defaultEmailContent":{"type":"boolean","description":"<para type=\"description\">If this parameter is included, the body content will be replaced with the default body content.</para>","default":false},"pubGatewayIP":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">Public Secure Gateway IP (IP:Gateway Port/SSL Port).</para>","nullable":true},"sso":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">Third party credentials provider GUID (SSO).</para>","nullable":true},"targetDevice":{"type":"array","items":{"$ref":"#/components/schemas/InviteTargetDev"},"description":"<para type=\"description\">Target Device List.</para>","nullable":true},"ssoEnabled":{"type":"boolean","description":"<para type=\"description\">Force to wrap third party SSO component.</para>","nullable":true},"connMode":{"$ref":"#/components/schemas/InviteConnMode"},"authType":{"$ref":"#/components/schemas/InviteAuthType"}},"additionalProperties":false},"InviteTargetDev":{"enum":[["0 = Windows","2 = Linux","3 = Mac","4 = iOS","5 = Android","6 = ChromeApp","7 = HTML5"]],"type":"string","description":"<para type=\"synopsis\">Invitation Target Device</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"InviteConnMode":{"enum":[["0 = Gateway","1 = Direct","2 = GatewaySSL","3 = DirectSSL"]],"type":"string","description":"<para type=\"synopsis\">Invitation Connection Mode</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"InviteAuthType":{"enum":[["0 = Credentials","1 = SSO","2 = SmartCard","3 = Web","4 = WebCredentials"]],"type":"string","description":"<para type=\"synopsis\">Invitation Authentication Type</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/farm-settings/invitation-emails.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
